<?php
// Include the database connection
include '../assignment7part5/conn.php';

// Initialize search term
$searchTerm = '';

// Check if a search term was submitted
if (isset($_GET['search'])) {
    $searchTerm = $_GET['search'];

    // Display the search query
    echo "<p>Search condition: WHERE bio LIKE '%" . htmlspecialchars($searchTerm) . "%'</p>";
    
    // Prepare the query with the search term
    $query = "SELECT id, username, email, age, bio, created_at FROM users WHERE bio LIKE ?";
    $stmt = $conn->prepare($query);
    $likeTerm = '%' . $searchTerm . '%';
    $stmt->bind_param("s", $likeTerm);
    $stmt->execute();
    $result = $stmt->get_result();

    // Check if records found
    if ($result->num_rows > 0) {
        // Display results in a table
        echo "<table border='1'>
                <tr>
                    <th>ID</th>
                    <th>Username</th>
                    <th>Email</th>
                    <th>Age</th>
                    <th>Bio</th>
                    <th>Created At</th>
                </tr>";
        while ($row = $result->fetch_assoc()) {
            echo "<tr>
                    <td>{$row['id']}</td>
                    <td>{$row['username']}</td>
                    <td>{$row['email']}</td>
                    <td>{$row['age']}</td>
                    <td>{$row['bio']}</td>
                    <td>{$row['created_at']}</td>
                  </tr>";
        }
        echo "</table>";
    } else {
        echo "<p>No records found matching '$searchTerm'.</p>";
    }
} else {
    echo "<p>Please enter a search term to find matching records.</p>";
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Search Users</title>
    <link rel="stylesheet" href="styles.css">
</head>
<body>
    <h2>Search in User Bios</h2>
    <form action="search.php" method="get">
        <label for="search">Enter keyword:</label>
        <input type="text" name="search" id="search" value="<?= htmlspecialchars($searchTerm) ?>">
        <button type="submit">Search</button>
    </form>
</body>
</html>
